Skip to main content
POST
/
v1
/
channel
/
offer
/
in-progress
Mark Listing in-progress
curl --request POST \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/offer/in-progress \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "offerList": [
    {
      "sellerId": "4711",
      "offerId": 5437233,
      "startedAt": "2019-07-01T15:43:21+00:00"
    }
  ]
}
'
{
  "errorList": [
    {
      "code": "GEN500",
      "message": "Internal Server Error",
      "severity": "error",
      "hint": null
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Body

application/json

List of offers whose listing process is currently being executed by the channel.

Batch of offers whose listing process on the channel is currently in progress.

offerList
object[]
required
Required array length: 1 - 1000 elements

Response

Offer received